org.apache.lucene.luke.app.desktop.components

## Interface SearchTabOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    SearchPanelProvider

      public interface SearchTabOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator for the Search tab

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enableExactHitsCB(boolean value)`
    `void` | `mltSearch(int docNum)`
    `void` | `searchByTerm(String field, String term)`
    `void` | `setExactHits(boolean value)`

- - ### Method Detail

    - #### searchByTerm

          void searchByTerm(String field,
                            String term)

    - #### mltSearch

          void mltSearch(int docNum)

    - #### enableExactHitsCB

          void enableExactHitsCB(boolean value)

    - #### setExactHits

          void setExactHits(boolean value)

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.